Bug 1400626 - Review Request: php-gecko-packages-gecko-php-unit - Additional PHPUnit tests
Review Request: php-gecko-packages-gecko-php-unit - Additional PHPUnit tests
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-01 11:13 EST by Remi Collet
Modified: 2016-12-20 15:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-10 19:29:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (14.25 KB, text/plain)
2016-12-02 08:33 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (8.85 KB, text/plain)
2016-12-02 08:33 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.14 KB, text/plain)
2016-12-02 08:34 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-12-01 11:13:48 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/a919440819bc623cd41523261b15f8d2da8d536a/php/php-gecko-packages-gecko-php-unit/php-gecko-packages-gecko-php-unit.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-gecko-packages-gecko-php-unit-2.0.0-1.remi.src.rpm
Description: 
Provides additional asserts to be used in PHPUnit tests.
The asserts are provided using Traits so no changes are needed
in the hierarchy of test classes.

Autoloader: /usr/share/php/GeckoPackages/PHPUnit/autoload.php


Fedora Account System Username: remi


--
New dependency of php-cs-fixer v2
As usually, I will clean the EL-5/remirepo stuff after import (to avoid having to maintain 2 spec)
Comment 1 Shawn Iwinski 2016-12-02 08:33 EST
Created attachment 1227327 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST
Comment 2 Shawn Iwinski 2016-12-02 08:33 EST
Created attachment 1227328 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST
Comment 3 Shawn Iwinski 2016-12-02 08:34 EST
Created attachment 1227329 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1400626
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2016-12-02 08:35:27 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2016-12-02 08:43:33 EST
Thanks for the review.

SCM requested.
Comment 6 Gwyn Ciesla 2016-12-02 08:46:20 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-gecko-packages-gecko-php-unit
Comment 7 Fedora Update System 2016-12-02 09:06:40 EST
php-gecko-packages-gecko-php-unit-2.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-745efbc9da
Comment 8 Fedora Update System 2016-12-02 09:06:52 EST
php-gecko-packages-gecko-php-unit-2.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5b842fcf20
Comment 9 Fedora Update System 2016-12-02 09:06:57 EST
php-gecko-packages-gecko-php-unit-2.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d92223be1
Comment 10 Fedora Update System 2016-12-02 23:37:33 EST
php-gecko-packages-gecko-php-unit-2.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5b842fcf20
Comment 11 Fedora Update System 2016-12-03 00:42:38 EST
php-gecko-packages-gecko-php-unit-2.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d92223be1
Comment 12 Fedora Update System 2016-12-03 06:19:25 EST
php-gecko-packages-gecko-php-unit-2.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-745efbc9da
Comment 13 Fedora Update System 2016-12-10 19:29:09 EST
php-gecko-packages-gecko-php-unit-2.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-12-10 21:23:20 EST
php-gecko-packages-gecko-php-unit-2.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-12-20 15:18:12 EST
php-gecko-packages-gecko-php-unit-2.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.